net.minecraft.entity

## Class EntityTrackerEntry

- java.lang.Object
- - net.minecraft.entity.EntityTrackerEntry

-     public class EntityTrackerEntry
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blocksDistanceThreshold`
    `int` | `lastHeadMotion`
    `int` | `lastPitch`
    `int` | `lastScaledXPosition`
    `int` | `lastScaledYPosition`
    `int` | `lastScaledZPosition`
    `int` | `lastYaw`
    `double` | `motionX`
    `double` | `motionY`
    `double` | `motionZ`
    `Entity` | `myEntity`
    `boolean` | `playerEntitiesUpdated`
    `int` | `ticks`
    `java.util.Set` | `trackingPlayers`
    `int` | `updateFrequency`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTrackerEntry(Entity par1Entity, int par2, int par3, boolean par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object par1Obj)`
    `void` | `func_151259_a(Packet p_151259_1_)`
    `void` | `func_151261_b(Packet p_151261_1_)`
    `int` | `hashCode()`
    `void` | `informAllAssociatedPlayersOfItemDestruction()`
    `void` | `removeFromWatchingList(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `removePlayerFromTracker(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `sendEventsToPlayers(java.util.List par1List)`
    `void` | `sendLocationToAllClients(java.util.List par1List)`
    `void` | `tryStartWachingThis(EntityPlayerMP par1EntityPlayerMP)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### myEntity

          public Entity myEntity

    - #### blocksDistanceThreshold

          public int blocksDistanceThreshold

    - #### updateFrequency

          public int updateFrequency

    - #### lastScaledXPosition

          public int lastScaledXPosition

    - #### lastScaledYPosition

          public int lastScaledYPosition

    - #### lastScaledZPosition

          public int lastScaledZPosition

    - #### lastYaw

          public int lastYaw

    - #### lastPitch

          public int lastPitch

    - #### lastHeadMotion

          public int lastHeadMotion

    - #### motionX

          public double motionX

    - #### motionY

          public double motionY

    - #### motionZ

          public double motionZ

    - #### ticks

          public int ticks

    - #### playerEntitiesUpdated

          public boolean playerEntitiesUpdated

    - #### trackingPlayers

          public java.util.Set trackingPlayers

  - ### Constructor Detail

    - #### EntityTrackerEntry

          public EntityTrackerEntry(Entity par1Entity,
                            int par2,
                            int par3,
                            boolean par4)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### sendLocationToAllClients

          public void sendLocationToAllClients(java.util.List par1List)

    - #### func_151259_a

          public void func_151259_a(Packet p_151259_1_)

    - #### func_151261_b

          public void func_151261_b(Packet p_151261_1_)

    - #### informAllAssociatedPlayersOfItemDestruction

          public void informAllAssociatedPlayersOfItemDestruction()

    - #### removeFromWatchingList

          public void removeFromWatchingList(EntityPlayerMP par1EntityPlayerMP)

    - #### tryStartWachingThis

          public void tryStartWachingThis(EntityPlayerMP par1EntityPlayerMP)

    - #### sendEventsToPlayers

          public void sendEventsToPlayers(java.util.List par1List)

    - #### removePlayerFromTracker

          public void removePlayerFromTracker(EntityPlayerMP par1EntityPlayerMP)